* {
  box-sizing: border-box;
}

body {
  margin: 16px;
  font-family:
    -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen, Ubuntu,
    Cantarell, "Open Sans", "Helvetica Neue", sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  background-color: #fafafa;
  color: #212121;
  line-height: 1.5;
}

h1,
h2,
h3,
h4,
h5,
h6,
p {
  margin: 0;
}

ul,
li {
  list-style: none;
  padding-left: 0;
  margin: 0;
}

.list {
  padding: 24px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: 24px;
  width: 392px;
}

.item {
  border-radius: 8px;
  background-color: #f6f6fe;
  padding: 16px;
}

.sublist {
  display: flex;
  flex-direction: column;
  gap: 8px;
}

.subitem {
  padding: 8px 16px;
  letter-spacing: 0.04em;
  color: #2e2f42;
  border: 1px solid #000;
  max-width: 360px;
  transition: color 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

.subitem:hover,
.subitem:focus {
  box-shadow: 0 4px 4px 0 rgba(0, 0, 0, 0.25);
  background-color: #fff;
}

.title {
  font-weight: 600;
  font-size: 24px;
  line-height: 1.33;
  letter-spacing: 0.04em;
  color: #2e2f42;
  margin-top: 16px;
  margin-bottom: 16px;
}

.gallery {
  display: flex;
  flex-wrap: wrap;
  row-gap: 48px;
  column-gap: 24px;
  justify-content: center;
}

.input {
  padding: 8px 16px;
  letter-spacing: 0.04em;
  color: #2e2f42;
  border: 1px solid #000;
  width: 360px;
  margin-top: 10px;
}

.login-form {
  display: flex;
  flex-direction: column;
  width: 408px;
  padding: 24px;
  gap: 8px;
}

.label {
  display: flex;
  flex-direction: column;
  gap: 8px;
  color: #2e2f42;
}

.form-input {
  width: 100%;
  height: 40px;
  padding: 0;
}

.btn {
  margin-top: 8px;
  border: none;
  border-radius: 8px;
  padding: 8px 16px;
  width: 86px;
  height: 40px;
  background-color: #4e75ff;
  color: #fff;
}

.widget {
  border-radius: 8px;
  padding: 100px 88px;
  width: 345px;
  height: 280px;
  background-color: #f6f6fe;
  text-align: center;
}

.change-color {
  margin-top: 16px;
  border-radius: 8px;
  padding: 8px 16px;
  width: 148px;
  height: 40px;
  background-color: #4e75ff;
  color: #fff;
  border: none;
}

.widget-text {
  font-weight: 400;
  letter-spacing: 0.04em;
  color: #2e2f42;
}
